>From 5d1e6659f2992029125af6a1d2e453fc7d3f85c5 Mon Sep 17 00:00:00 2001
From: Michael Friedrich <michael.friedrich@univie.ac.at>
Date: Fri, 8 Jan 2010 14:12:35 +0100
Subject: [PATCH] change sql string escaping

only ' must be escaped using '' all other characters
are handled correctly by rdbms like mysql, pgsql, oracle
---
 src/db.c |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)

diff --git a/src/db.c b/src/db.c
index e06afc1..6455565 100644
--- a/src/db.c
+++ b/src/db.c
@@ -472,14 +472,8 @@ char *ndo2db_db_escape_string(ndo2db_idi *idi, char *buf){
        /* escape characters */
        for(x=0,y=0;x<z;x++){
 
-               if(idi->dbinfo.server_type==NDO2DB_DBSERVER_MYSQL){
-                       if(buf[x]=='\'' || buf[x]=='\"' || buf[x]=='*' || buf[x]=='\\' || buf[x]=='$' || buf[x]=='?' || buf[x]=='.' || buf[x]=='^' || buf[x]=='+' || buf[x]=='[' || buf[x]==']' || buf[x]=='(' || buf[x]==')')
-                               newbuf[y++]='\\';
-                       }
-               else if(idi->dbinfo.server_type==NDO2DB_DBSERVER_PGSQL){
-                       if(! (isspace(buf[x]) || isalnum(buf[x]) || (buf[x]=='_')) )
-                               newbuf[y++]='\\';
-                       }
+               if(buf[x]=='\'' )
+                       newbuf[y++]='\'';
 
                newbuf[y++]=buf[x];
                }
-- 
1.5.5.6


